Treasury
Set Safe threshold
POST
Requires scope wallets:write.
ApiKeyheader
AuthorizationBearer <sk_test_ or sk_live_ key>Your sk_live_ / sk_test_ API key
application/json- body
chain*stringValue in
"ethereum""base""arbitrum""polygon""celo""optimism""plasma"threshold*integerRange
1 <= valueexistingOwner*passkeyData*Response Body
200application/json
Threshold change submitted
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
401application/json
The Authorization header is missing, malformed, or the API key is unknown or revoked
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
429application/json
The API key exceeded its request budget for the window
TypeScript Definitions
Use the response body type in TypeScript.
data*
status*number
success*boolean
Language
curl -X POST 'https://api.pilot.shiga.io/v1/wallets/{id}/threshold' \ -H 'Authorization: Bearer sk_test_...' \ -H 'Content-Type: application/json' \ -d '{ "chain": "ethereum", "threshold": 1, "existingOwner": { "x": "string", "y": "string" }, "passkeyData": { "credential": { "property1": null, "property2": null }, "expectedChallenge": "string", "expectedOrigins": [ "string" ], "expectedRPID": "string", "authenticator": { "credentialId": "string", "credentialPublicKey": "string", "counter": 0 } }}'Example Response
{ "data": { "chain": "base", "safeAddress": "string", "threshold": 2, "currentThreshold": 1, "userOpHash": "string", "sponsored": true, "transactionHash": "string", "pendingUserOp": true, "status": "awaiting_signature", "collected": 0 }, "status": 200, "success": true}